Debian Bug report logs - #357995
FTBFS with GCC 4.1: 'packed' attribute ignored for field of type 'u_int8_t'

version graph

Package: libusb; Maintainer for libusb is Aurelien Jarno <aurel32@debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 20 Mar 2006 17:18:27 UTC

Severity: important

Found in version libusb/2:0.1.11-6

Fixed in version libusb/2:0.1.11-7

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#357995; Package libusb. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.1: 'packed' attribute ignored for field of type 'u_int8_t'
Date: Mon, 20 Mar 2006 17:13:53 +0000
Package: libusb
Version: 2:0.1.11-6
Severity: important

Your package fails to build with G++ 4.1.  I'm filing this bug as
important for now, but when 4.1 will be the default compiler in
unstable (probably in a few weeks) I'll upgrade this to serious.


> Automatic build of libusb_2:0.1.11-6 on bigsur by sbuild/mips 1.106
...
>  mips-linux-gnu-gcc -DHAVE_CONFIG_H -I. -Werror -Wall -g -O2 -MT usb.lo -MD -MP -MF .deps/usb.Tpo -c ../usb.c  -fPIC -DPIC -o .libs/usb.o
> cc1: warnings being treated as errors
> In file included from ../usbi.h:4,
>                  from ../usb.c:14:
> ./usb.h:92: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:93: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:94: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:95: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:97: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:98: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:99: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:117: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:118: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:119: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:120: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:121: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:122: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:123: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:124: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:125: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:143: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:144: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:146: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:147: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:148: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:149: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> ./usb.h:150: warning: 'packed' attribute ignored for field of type 'u_int8_t'
> make[3]: *** [usb.lo] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/



Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 357995-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 357995-close@bugs.debian.org
Subject: Bug#357995: fixed in libusb 2:0.1.11-7
Date: Fri, 24 Mar 2006 14:02:54 -0800
Source: libusb
Source-Version: 2:0.1.11-7

We believe that the bug you reported is fixed in the latest version of
libusb, which is due to be installed in the Debian FTP archive:

libusb++-0.1-4c2_0.1.11-7_i386.deb
  to pool/main/libu/libusb/libusb++-0.1-4c2_0.1.11-7_i386.deb
libusb++-dev_0.1.11-7_i386.deb
  to pool/main/libu/libusb/libusb++-dev_0.1.11-7_i386.deb
libusb-0.1-4_0.1.11-7_i386.deb
  to pool/main/libu/libusb/libusb-0.1-4_0.1.11-7_i386.deb
libusb-0.1-udeb_0.1.11-7_i386.udeb
  to pool/main/libu/libusb/libusb-0.1-udeb_0.1.11-7_i386.udeb
libusb-dev_0.1.11-7_i386.deb
  to pool/main/libu/libusb/libusb-dev_0.1.11-7_i386.deb
libusb_0.1.11-7.diff.gz
  to pool/main/libu/libusb/libusb_0.1.11-7.diff.gz
libusb_0.1.11-7.dsc
  to pool/main/libu/libusb/libusb_0.1.11-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated libusb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 24 Mar 2006 21:25:17 +0100
Source: libusb
Binary: libusb++-dev libusb-dev libusb-0.1-udeb libusb-0.1-4 libusb++-0.1-4c2
Architecture: source i386
Version: 2:0.1.11-7
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libusb++-0.1-4c2 - userspace C++ USB programming library
 libusb++-dev - userspace C++ USB programming library development files
 libusb-0.1-4 - userspace USB programming library
 libusb-0.1-udeb - userspace USB programming library (udeb)
 libusb-dev - userspace USB programming library development files
Closes: 357995 358854
Changes: 
 libusb (2:0.1.11-7) unstable; urgency=low
 .
   * Fixed a build failure with GCC 4.1 (Closes: bug#357995).
   * Really ship the C++ library (Closes: bug#358854).
Files: 
 4f56f41dddc8f02df935a60ebf0ac5d9 693 libs optional libusb_0.1.11-7.dsc
 d25d673d2b0cf8e5e9cda25059b3195b 9884 libs optional libusb_0.1.11-7.diff.gz
 28eaba3eadc01526cb4d34e003bffbd7 18492 libs important libusb-0.1-4_0.1.11-7_i386.deb
 aebd0d3c8f7148a905a692dbf69506ba 37150 libdevel optional libusb-dev_0.1.11-7_i386.deb
 38713f344a0902d38bbfec0cc94bd93f 15982 libs optional libusb++-0.1-4c2_0.1.11-7_i386.deb
 6a9075687dfd74f248a6c1f0e5882a5b 20416 libdevel optional libusb++-dev_0.1.11-7_i386.deb
 62429a5f171a45ffe1bea38f83d337e5 10108 debian-installer optional libusb-0.1-udeb_0.1.11-7_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEJFmww3ao2vG823MRAt+OAJwMVS1oA2hcc17cFE6Sqttb00qxBQCfTdzU
gtkzYDtGFgKltXO7b8VGhmw=
=4MnS
-----END PGP SIGNATURE-----




Blocking bugs added: 357995 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 06:31:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:21:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.